curl --request GET \
--url https://api.jtl-cloud.com/erp/v1/items/{itemId}/images \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v1/items/{itemId}/images"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v1/items/{itemId}/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"ItemId": 123,
"ImageId": 123,
"Filename": "<string>",
"ImageDataType": "<string>",
"SalesChannelId": "<string>",
"EbayUserName": "<string>",
"SortNumber": 123,
"Size": 123,
"Width": 123,
"Height": 123
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Query Item Images
Query all images for a specific item
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The id of the item that the descriptions belong to.
Response
The requested item images.
Unique ID to identify an item.
Unique ID to identify an image.
Name of the file.
Type of image.
The sales channel ID for an image. Only specific sales channels are allowed for this operation and are specified in the sales channel endpoint(GET).
Name of the eBay user if the sales channel is eBay.
The sort number for arranging images in sales channels. Every image needs to have an unique sort number per sales channel and item.
The size of an image.
The width of an image in pixels.
The height of the image in pixels.
Was this page helpful?